package cn.iocoder.yudao.module.system.enums.change;

import cn.hutool.core.util.ArrayUtil;
import cn.iocoder.yudao.framework.common.core.ArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 *
 * 变更类型
 * @author jinyd
 */
@AllArgsConstructor
@Getter
public enum ChangeTypeEnum implements ArrayValuable<Integer> {

    BED(0, "床位"), //床位
    NURSE(1, "护理"), //护理
    CATERING(2, "餐饮"),//餐饮
    PRICE(3, "价格"),
    TRANSFER(4, "转院"), //价格
    CHECK_IN(5, "办理入住");

    public static final Integer[] ARRAYS = Arrays.stream(values()).map(ChangeTypeEnum::getValue).toArray(Integer[]::new);

    /**
     * 类型
     */
    private final Integer value;
    /**
     * 转改名
     */
    private final String name;

    public static ChangeTypeEnum valueOf(Integer value) {
        return ArrayUtil.firstMatch(businessType -> businessType.getValue().equals(value), ChangeTypeEnum.values());
    }

    @Override
    public Integer[] array() {
        return ARRAYS;
    }

}
